%define module	singledispatch

Name:		python-%{module}
Version:	4.1.0
Release:	%mkrel 4
Summary:	This library backport functools.singledispatch to older Pythons
Group:		Development/Python
License:	MIT
URL:		https://github.com/jaraco/singledispatch
Source0:	https://pypi.python.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pyproject-rpm-macros

%description
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality and its evolution.

#---------------------------------------------------------------------------

%package -n     python3-%{module}
Summary:        This library backport functools.singledispatch to older Pythons
Group:          Development/Python
BuildArch:      noarch
BuildRequires:	pkgconfig(python3)
%{?python_provide:%python_provide python3-%{module}}


%description -n python3-%{module}
PEP 443 proposed to expose a mechanism in the functools standard library
module in Python 3.4 that provides a simple form of generic programming
known as single-dispatch generic functions.

This library is a backport of this functionality and its evolution.

This is the Python 3 build of %{module}.

#---------------------------------------------------------------------------
%prep
%setup -q -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files singledispatch

%check
# tox

%files -n python3-%{module} -f %{pyproject_files}
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.1.0-4.mga10
+ Revision: 2239208
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 wally <wally> 4.1.0-3.mga10
+ Revision: 2155930
- rebuild for python3.13

* Fri Dec 29 2023 papoteur <papoteur> 4.1.0-2.mga10
+ Revision: 2023775
- use generate_buildrequires macro
- rebuild for python 3.12

* Fri Sep 01 2023 daviddavid <daviddavid> 4.1.0-1.mga10
+ Revision: 1982934
- new version: 4.1.0

* Fri Feb 17 2023 daviddavid <daviddavid> 4.0.0-1.mga9
+ Revision: 1943724
- new version: 4.0.0
- switch to pyproject

* Fri Nov 04 2022 wally <wally> 3.7.0-2.mga9
+ Revision: 1902754
- update setuptools-scm BRs

* Tue Aug 23 2022 papoteur <papoteur> 3.7.0-1.mga9
+ Revision: 1879734
- new 3.7.0

* Thu Mar 24 2022 umeabot <umeabot> 3.6.1-4.mga9
+ Revision: 1824910
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 tv <tv> 3.6.1-3.mga9
+ Revision: 1782038
- Rebuild for python-3.10

* Sun Mar 21 2021 daviddavid <daviddavid> 3.6.1-2.mga9
+ Revision: 1707040
- rebuild for python 3.9

* Tue Mar 02 2021 daviddavid <daviddavid> 3.6.1-1.mga9
+ Revision: 1695820
- new version: 3.6.1

* Thu Jul 23 2020 ovitters <ovitters> 3.4.0.3-13.mga8
+ Revision: 1608308
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 3.4.0.3-12.mga8
+ Revision: 1532108
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 3.4.0.3-11.mga8
+ Revision: 1441575
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 3.4.0.3-10.mga7
+ Revision: 1354377
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.4.0.3-9.mga7
+ Revision: 1290028
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 3.4.0.3-8.mga7
+ Revision: 1135639
- Rebuild for python 3.6

* Thu Apr 28 2016 daviddavid <daviddavid> 3.4.0.3-7.mga6
+ Revision: 1007178
- fix python macros

* Fri Feb 19 2016 umeabot <umeabot> 3.4.0.3-6.mga6
+ Revision: 970496
- Mageia 6 Mass Rebuild

* Wed Oct 07 2015 daviddavid <daviddavid> 3.4.0.3-5.mga6
+ Revision: 887046
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0.3-4.mga5
+ Revision: 744969
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0.3-3.mga5
+ Revision: 729765
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 daviddavid <daviddavid> 3.4.0.3-1.mga5
+ Revision: 656370
- imported package python-singledispatch

